log4j.rootLogger=INFO, R 
log4j.appender.R=org.apache.log4j.ConsoleAppender 
log4j.appender.R.layout=org.apache.log4j.PatternLayout 
log4j.appender.R.layout.ConversionPattern=%d{ABSOLUTE} %-5p [%c{1}:%L] %m%n
log4j.logger.org.portletfaces.bridge.BridgeImpl=DEBUG
log4j.logger.org.portletfaces.bridge.FacesConfigurationImpl=DEBUG
log4j.logger.org.portletfaces.bridge.application.ResourceHandlerImpl=DEBUG
#Note: Including ResourceImpl can cause harmless exceptions during hot-deploy.
#log4j.logger.org.portletfaces.bridge.application.ResourceImpl=DEBUG
log4j.logger.org.portletfaces.bridge.application.ViewHandlerImpl=DEBUG
log4j.logger.org.portletfaces.bridge.component.UIViewRootImpl=DEBUG
log4j.logger.org.portletfaces.bridge.container.PortletContainerImpl=DEBUG
log4j.logger.org.portletfaces.bridge.container.liferay.PortletContainerLiferayImpl=DEBUG
#Note: Including ExternalContextImpl can cause harmless exceptions during hot-deploy.
log4j.logger.org.portletfaces.bridge.context.ExternalContextImpl=DEBUG
log4j.logger.org.portletfaces.bridge.context.map.RequestHeaderMap=DEBUG
log4j.logger.org.portletfaces.bridge.context.map.RequestParameterMap=DEBUG
log4j.logger.org.portletfaces.bridge.lifecycle.LifecycleIncongruityManager=DEBUG
log4j.logger.org.portletfaces.bridge.scope.BridgeRequestScopeImpl=DEBUG
log4j.logger.org.portletfaces.bridge.renderkit.BodyRenderer=DEBUG
log4j.logger.org.portletfaces.bridge.renderkit.HeadRenderer=DEBUG
log4j.logger.org.portletfaces.bridge.renderkit.HeadResponseWriterImpl=DEBUG
log4j.logger.org.portletfaces.bridge.renderkit.HeadResponseWriterLiferayImpl=DEBUG
log4j.logger.org.portletfaces.example.bean.ApplicantBackingBean=DEBUG
log4j.logger.org.portletfaces.example.util.DebugPhaseListener=DEBUG
